org.apache.tapestry5

## Class MarkupUtils

- java.lang.Object
- - org.apache.tapestry5.MarkupUtils

-     public class MarkupUtils
      extends java.lang.Object

  Utility methods related to generating markup.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MarkupUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `join(java.util.List<java.lang.String> values)` Joins together several strings, sorting them alphabetically and separating them with spaces.
    `static java.lang.String` | `join(java.lang.String... values)` Joins together several strings, sorting them alphabetically and separating them with spaces.
    `static java.lang.String` | `quote(java.lang.String text)` Quotes the provided value as a JavaScript string literal.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MarkupUtils

          public MarkupUtils()

  - ### Method Detail

    - #### quote

          public static java.lang.String quote(java.lang.String text)

      Quotes the provided value as a JavaScript string literal. The input value is surrounded by single quotes and any interior backslash, single or double quotes are escaped (a preceding backslash is added).
      Parameters:
        `text` -
      Returns:
        quoted text

    - #### join

          public static java.lang.String join(java.lang.String... values)

      Joins together several strings, sorting them alphabetically and separating them with spaces. This is often used when setting the CSS class attribute of an element.

    - #### join

          public static java.lang.String join(java.util.List<java.lang.String> values)

      Joins together several strings, sorting them alphabetically and separating them with spaces. This is often used when setting the CSS class attribute of an element.

${project.version} - Copyright © 2003-2015 The Apache Software Foundation.